export declare type TypedFeatureFlag<F extends string = string, V = string> = Record<F, V>;
export type FeatureFlag = TypedFeatureFlag<string, string>;
export type FeatureToggle<F = string> = {
    name: F;
    variation?: boolean;
    enabled: boolean;
    group?: string | undefined;
    description?: string | undefined;
};
export type PropType<TObj, TProp extends keyof TObj> = TObj[TProp];
export type FeatureToggleName<T = string> = PropType<FeatureToggle<T>, 'name'>;
